
QGIS Application - Bug report #1130

Query builder attaches sql clause to wrong entry when PostGIS table has multiple geometry 

columns

2008-06-22 11:33 PM - agnewtj -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11190

Description

We have a [[PostGIS]] table with multiple geometry tables - one polygon and one point.  The "Add [[PostGIS]] Table(s)" sorts the

geometry columns by "Type".  So "Point" appears above "Polygon".

When we double click on one of the tables and add selection criteria, the criteria is attached to the geometry column first in the sort

sequence.  So we have no way to add sql criteria to the "Polygon" column, since the criteria is always attached to "Point".

Associated revisions

Revision 13d7f002 - 2008-06-23 11:15 AM - Jürgen Fischer

fix #1130

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@8672 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 24e80f14 - 2008-06-23 11:15 AM - Jürgen Fischer

fix #1130

git-svn-id: http://svn.osgeo.org/qgis/trunk@8672 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-06-23 02:15 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:24e80f14 (SVN r8673)
